Bug 113894 - [Regression] Pasting text from Writer in Calc formula field doesn't strip formatting
Summary: [Regression] Pasting text from Writer in Calc formula field doesn't strip for...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0 target:5.4.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-11-17 06:10 UTC by Zetok
Modified: 2017-11-21 02:17 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zetok 2017-11-17 06:10:32 UTC
Description:
Text copied from Writer and pasted in Calc's formula field used to strip formatting in LO 5.2.7.2 and before. On 5.4.2.2 this behaviour has changed, preserving formatting.

Steps to Reproduce:
1. Copy some text from Writer that is formatted
2. Try to paste it in Calc's formula field

Actual Results:  
Pasted text is formatted (e.g. font size is bigger than it should be if non-formatted text were to be pasted, wrong font, etc).

Expected Results:
Pasted text should have formatting stripped and use Calc's cell's formatting.


Reproducible: Always


User Profile Reset: No



Additional Info:
Tooltip for the formula field in Calc claims that it's called "Input line".


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Xisco Faulí 2017-11-17 09:24:57 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 2 raal 2017-11-17 10:21:03 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara ; Could you possibly take a look at this one?
Thanks

author	Caolán McNamara <caolanm@redhat.com>	2016-07-30 20:29:48 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2016-08-02 09:22:33 (GMT)
commit	0321dbb9be72f92c02919457cdc3c4e76cfbd11d (patch)
tree	da8db09d364c072899f7707d42144ed2ab2389ec
parent	6d40c515fdf86d807c199ff4179b9c862a9fe5b2 (diff)
Resolves: tdf#99324 let sidebar toggle auto-mnemonics on/off with alt
this returns things to passing the alt to the thing with the focus
and depends on ::Command handlers passing the alt-press/release back
up through the Command hierarchy to get to the default top-level
handler eventually
Comment 3 Commit Notification 2017-11-17 14:05:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d90dcf3554a84b5600800ee6deb3cde879c62b8d

tdf#113894 release ctrl of ctrl+v in input line should strip formatting

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2017-11-17 14:06:28 UTC
backport to 5-4 in gerrit
Comment 5 Commit Notification 2017-11-20 15:02:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f835c36a254c76d448fe62a923fe378c3fb60144&h=libreoffice-5-4

tdf#113894 release ctrl of ctrl+v in input line should strip formatting

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Kevin Suo 2017-11-21 02:17:55 UTC
Verified fixed on master and libreoffice-5-4.